<html>
<head>
<title>OGRE: Ogre::RadixSort&lt; TContainer, TContainerValueType, TCompValueType &gt;::SortEntry Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RadixSort.html">RadixSort</a>::<a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html">SortEntry</a></div>
<h1>Ogre::RadixSort&lt; TContainer, TContainerValueType, TCompValueType &gt;::SortEntry Struct Reference</h1><!-- doxytag: class="Ogre::RadixSort::SortEntry" --><code>#include &lt;<a class="el" href="OgreRadixSort_8h-source.html">OgreRadixSort.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1RadixSort_1_1SortEntry-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#2e33f6562eeda7b1d7a6a82492423c03">SortEntry</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#14793930d53046b5ba9bd53f8cb9084a">SortEntry</a> (TCompValueType k, <a class="el" href="classOgre_1_1RadixSort.html#e6832006de9925d59d8795d4f708f08f">ContainerIter</a> it)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">TCompValueType&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#6f46a958afebbd47ff723551f9893d83">key</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RadixSort.html#e6832006de9925d59d8795d4f708f08f">ContainerIter</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#e2f0a6d95f201f252c0c555e606268a8">iter</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt;<br>
 struct Ogre::RadixSort&lt; TContainer, TContainerValueType, TCompValueType &gt;::SortEntry</h3>


<p>Definition at line <a class="el" href="OgreRadixSort_8h-source.html#l00098">98</a> of file <a class="el" href="OgreRadixSort_8h-source.html">OgreRadixSort.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="2e33f6562eeda7b1d7a6a82492423c03"></a><!-- doxytag: member="Ogre::RadixSort::SortEntry::SortEntry" ref="2e33f6562eeda7b1d7a6a82492423c03" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RadixSort.html">Ogre::RadixSort</a>&lt; TContainer, TContainerValueType, TCompValueType &gt;::SortEntry::SortEntry           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRadixSort_8h-source.html#l00102">102</a> of file <a class="el" href="OgreRadixSort_8h-source.html">OgreRadixSort.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="14793930d53046b5ba9bd53f8cb9084a"></a><!-- doxytag: member="Ogre::RadixSort::SortEntry::SortEntry" ref="14793930d53046b5ba9bd53f8cb9084a" args="(TCompValueType k, ContainerIter it)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RadixSort.html">Ogre::RadixSort</a>&lt; TContainer, TContainerValueType, TCompValueType &gt;::SortEntry::SortEntry           </td>
          <td>(</td>
          <td class="paramtype">TCompValueType&nbsp;</td>
          <td class="paramname"> <em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RadixSort.html#e6832006de9925d59d8795d4f708f08f">ContainerIter</a>&nbsp;</td>
          <td class="paramname"> <em>it</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRadixSort_8h-source.html#l00103">103</a> of file <a class="el" href="OgreRadixSort_8h-source.html">OgreRadixSort.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="6f46a958afebbd47ff723551f9893d83"></a><!-- doxytag: member="Ogre::RadixSort::SortEntry::key" ref="6f46a958afebbd47ff723551f9893d83" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">TCompValueType <a class="el" href="classOgre_1_1RadixSort.html">Ogre::RadixSort</a>&lt; TContainer, TContainerValueType, TCompValueType &gt;::<a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#6f46a958afebbd47ff723551f9893d83">SortEntry::key</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRadixSort_8h-source.html#l00100">100</a> of file <a class="el" href="OgreRadixSort_8h-source.html">OgreRadixSort.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e2f0a6d95f201f252c0c555e606268a8"></a><!-- doxytag: member="Ogre::RadixSort::SortEntry::iter" ref="e2f0a6d95f201f252c0c555e606268a8" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class TContainer, class TContainerValueType, typename TCompValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RadixSort.html#e6832006de9925d59d8795d4f708f08f">ContainerIter</a> <a class="el" href="classOgre_1_1RadixSort.html">Ogre::RadixSort</a>&lt; TContainer, TContainerValueType, TCompValueType &gt;::<a class="el" href="structOgre_1_1RadixSort_1_1SortEntry.html#e2f0a6d95f201f252c0c555e606268a8">SortEntry::iter</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRadixSort_8h-source.html#l00101">101</a> of file <a class="el" href="OgreRadixSort_8h-source.html">OgreRadixSort.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRadixSort_8h-source.html">OgreRadixSort.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:58 2008
</p>
</body>
</html>
